#include "Preproc.h"
#include <stdio.h>

#if (PREPROC_TASK_API_ENABLE == STD_ON)
	#if (PREPROC_TASK1_ACTIVATION == STD_ON)
		PREPROC_TASK_IMPL(PREPROC_TASK1_ID);
	#endif
	#if (PREPROC_TASK2_ACTIVATION == STD_ON)
		PREPROC_TASK_IMPL(PREPROC_TASK2_ID);
	#endif
	#if (PREPROC_TASK3_ACTIVATION == STD_ON)
		PREPROC_TASK_IMPL(PREPROC_TASK3_ID);
	#endif
#endif

int main()
{
	#if (PREPROC_TASK_API_ENABLE == STD_ON)
		#if (PREPROC_TASK1_ACTIVATION == STD_ON)
			PREPROC_TASK_CALL(PREPROC_TASK1_ID);
		#endif
		#if (PREPROC_TASK2_ACTIVATION == STD_ON)
			PREPROC_TASK_CALL(PREPROC_TASK2_ID);
		#endif
		#if (PREPROC_TASK3_ACTIVATION == STD_ON)
			PREPROC_TASK_CALL(PREPROC_TASK3_ID);
		#endif
	#endif

return 0;
}
